org.apache.lucene.queryParser.standard.processors

## Class MultiTermRewriteMethodProcessor

- java.lang.Object
- - org.apache.lucene.queryParser.core.processors.QueryNodeProcessorImpl
  - - org.apache.lucene.queryParser.standard.processors.MultiTermRewriteMethodProcessor

- All Implemented Interfaces:
    QueryNodeProcessor

      public class MultiTermRewriteMethodProcessor
      extends QueryNodeProcessorImpl

  This processor instates the default `MultiTermQuery.RewriteMethod`, `MultiTermQuery.CONSTANT_SCORE_AUTO_REWRITE_DEFAULT`, for multi-term query nodes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiTermRewriteMethodProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected QueryNode` | `postProcessNode(QueryNode node)` This method is invoked for every node when walking up the tree.
    `protected QueryNode` | `preProcessNode(QueryNode node)` This method is invoked for every node when walking down the tree.
    `protected java.util.List<QueryNode>` | `setChildrenOrder(java.util.List<QueryNode> children)` This method is invoked for every node that has at least on child.

    - ### Methods inherited from class org.apache.lucene.queryParser.core.processors.QueryNodeProcessorImpl

      `getQueryConfigHandler, process, processChildren, setQueryConfigHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiTermRewriteMethodProcessor

          public MultiTermRewriteMethodProcessor()

  - ### Method Detail

    - #### postProcessNode

          protected QueryNode postProcessNode(QueryNode node)

      Description copied from class: `QueryNodeProcessorImpl`
      This method is invoked for every node when walking up the tree.
      Specified by:
        `postProcessNode` in class `QueryNodeProcessorImpl`
      Parameters:
        `node` - node the query node to be post-processed
      Returns:
        a query node

    - #### preProcessNode

          protected QueryNode preProcessNode(QueryNode node)

      Description copied from class: `QueryNodeProcessorImpl`
      This method is invoked for every node when walking down the tree.
      Specified by:
        `preProcessNode` in class `QueryNodeProcessorImpl`
      Parameters:
        `node` - the query node to be pre-processed
      Returns:
        a query node

    - #### setChildrenOrder

          protected java.util.List<QueryNode> setChildrenOrder(java.util.List<QueryNode> children)

      Description copied from class: `QueryNodeProcessorImpl`
      This method is invoked for every node that has at least on child. It's invoked right before `QueryNodeProcessorImpl.postProcessNode(QueryNode)` is invoked.
      Specified by:
        `setChildrenOrder` in class `QueryNodeProcessorImpl`
      Parameters:
        `children` - the list containing all current node's children
      Returns:
        a new list containing all children that should be set to the current node

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.